Subject: bug#9480: 24.0.50; (vc-git) stash@{n} - requires shell quoting?

From: Stefan Monnier <[email-masked]>
Date: Tue, 13 Sep 2011 14:05:41 -0400

> Thanks.  This unlocks the mystery.  I think we can now close the bug
> report, do you agree?  Perhaps etc/PROBLEMS should advise Cygwin users
> to set CYGWIN=noglob (as I understand the default is CYGWIN=glob).

Yes, it seems that cygwin's globbing is never desired for programs run
by Emacs.  But of course, Emacs may start non-cygwin programs which in
turn execute cygwin programs expecting them to do the globbing
(e.g. running cygwin programs from a CMD process in *shell*), so setting
CYGWIN=noglob might not be right either.

        Stefan